APICRMActivitiesGet Activities
Get Activities
List every CRM activity in your organization, newest first, with requester, assignee, department, group, contact and company details. Optionally filter by contactId, companyId, dealId or engagementId. This endpoint is not paginated.
Created: September 16, 2026
Updated: September 16, 2026
Overview
GET
https://dashboard.vinsi.ai/api/crm/activities
Request
Headers
Content-Typestring
x-api-keystring
Query Params
contactIdstring
Example: 1042
companyIdstring
Example: 318
dealIdstring
Example: 77
engagementIdstring
Example:
Response
[1 item
0:{32 items
"id":int5120
"activityNumber":string"ACT-00128-K3F9"
"subject":string"Follow up on pricing question"
"description":string"Customer asked for pricing on ..."
"status":string"Open"
"priority":string"Medium"
"type":string"Task"
"source":string"Portal"
"dueBy":string"2026-09-18T17:00:00.000Z"
"organizationId":string"cmexampleorg00000000000001"
"requesterId":string"cmexampleuser0000000000001"
"assignedToId":string"cmexampleuser0000000000002"
"departmentId":null
"groupId":null
"tags":string"["pricing"]"
"customFields":string"{}"
"contactId":int1042
"companyId":int318
"dealId":int77
"engagementId":null
"closedAt":null
"resolvedAt":null
"firstResponseAt":null
"lastDueReminderAt":null
"createdAt":string"2026-09-15T20:11:05.000Z"
"updatedAt":string"2026-09-15T20:11:05.000Z"
"Requester":{4 items
"id":string"cmexampleuser0000000000001"
"firstName":string"Jane"
"lastName":string"Doe"
"email":string"jane.doe@example.com"
}
"AssignedTo":{4 items
"id":string"cmexampleuser0000000000002"
"firstName":string"Sam"
"lastName":string"Rivera"
"email":string"sam.rivera@example.com"
}
"Department":null
"Group":null
"Contact":{5 items
"id":int1042
"firstName":string"Alex"
"lastName":string"Morgan"
"email":string"alex.morgan@example.com"
"phone":string"+15555550142"
}
"Company":{2 items
"id":int318
"name":string"Acme Dental"
}
}
]
Endpoint Explorer
Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.
GET
Headers
Content-Type: *
x-api-key: *
Query Params
contactId: *
companyId: *
dealId: *
engagementId: *
Response
No response yet. Click Send to test the API.